Bug 1152246 - Review Request: joda-timezones - Timezone data for joda-time [NEEDINFO]
Summary: Review Request: joda-timezones - Timezone data for joda-time
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW FE-JAVASIG 1152249
TreeView+ depends on / blocked
 
Reported: 2014-10-13 17:22 UTC by Mo Morsi
Modified: 2018-08-18 11:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
msimacek: needinfo? (mmorsi)


Attachments (Terms of Use)

Description Mo Morsi 2014-10-13 17:22:54 UTC
Spec URL: https://mmorsi.fedorapeople.org/staging/joda-timezones.spec
SRPM URL: https://mmorsi.fedorapeople.org/staging/joda-timezones-2013d-1.fc20.src.rpm
Description: 
Timezone data for joda-time

Fedora Account System Username: mmorsi

Comment 1 Michael Simacek 2014-10-14 13:42:02 UTC
Issues:
- Upstream URL doesn't exist
- Source0 URL doesn't exist
- Missing BR exec-maven-plugin and joda-time
- Missing period at the end of description
- Undetermined license - ask upstream to include it
- Incorrect changelog format - missing version-release
- Group tag is obsolete, remove it
- Outdated timezone data (2013)
- Spec file as given by url is not the same as in SRPM

Comment 2 Mo Morsi 2014-10-14 17:56:55 UTC
Thx for review. Mostly copy-n-paste errors.

Spec URL: https://mmorsi.fedorapeople.org/staging/joda-timezones.spec
SRPM URL: https://mmorsi.fedorapeople.org/staging/joda-timezones-2013d-2.fc20.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7864861

(In reply to Michael Simacek from comment #1)
> Issues:
> - Upstream URL doesn't exist
> - Source0 URL doesn't exist
> - Missing BR exec-maven-plugin and joda-time
> - Missing period at the end of description

Fixed all of these

> - Undetermined license - ask upstream to include it

https://github.com/jruby/joda-timezones/issues/2

> - Incorrect changelog format - missing version-release
> - Group tag is obsolete, remove it

Fixed these

> - Outdated timezone data (2013)

This is what the upstream release uses so figure it'd best to go w/ this to mitigate any unexpected consequences.


> - Spec file as given by url is not the same as in SRPM

Fixed

Comment 3 Michal Srb 2015-02-17 08:39:46 UTC
(In reply to Mo Morsi from comment #2)
> 
> > - Undetermined license - ask upstream to include it
> 
> https://github.com/jruby/joda-timezones/issues/2
> 

The whole jruby/joda-timezones project is just sophisticated way of doing:

java -Dorg.joda.time.DateTimeZone.Provider=org.joda.time.tz.UTCProvider -cp `build-classpath joda-time` org.joda.time.tz.ZoneInfoCompiler -src target/tzdata -dst target/classes/org/joda/time/tz/data africa antarctica asia australasia europe northamerica southamerica pacificnew etcetera backward systemv

And packaging the result into JAR.

So if upstream doesn't respond to the ticket, there is an easy workaround.

Comment 4 Michael Simacek 2015-05-20 14:14:08 UTC
Upstream doesn't seem to be responding. What do you think about the alternative proposed by Michal?


Note You need to log in before you can comment on or make changes to this bug.